import 'package:flutter/material.dart';
import 'package:get/get.dart';

import '../../Controller/Location/Locationpermissioncontroller.dart';
import '../../Helper/Constants/AssetConstants.dart';
import '../../Helper/Constants/Colorconstants.dart';
import '../../Helper/custombutton.dart';


class LocationPermission extends StatelessWidget {
  LocationPermission({Key? key}) : super(key: key);

  LocationPermissionController locationPermissionController = Get.put(LocationPermissionController());

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      body: Stack(
        children: [
          Container(
            height: Get.height,
            width: Get.width,
            padding: EdgeInsets.all(20),
            decoration: BoxDecoration(
              color: Colors.white,
            ),
            child: ListView(
              children: [
                Column(
                  // mainAxisAlignment: MainAxisAlignment.center,
                  children: [
                    // SizedBox(
                    //   height: 10,
                    // ),
                    Image(
                      image: AssetImage(
                        '${AssetConstants.nearleDarkLogo}',
                      ),
                      height: 40,
                      width: 260,
                      fit: BoxFit.fill,
                    ),
                    SizedBox(
                      height: 15,
                    ),
                    Container(
                      padding: EdgeInsets.all(7),
                      decoration: BoxDecoration(
                        color: Colors.grey[200],
                        shape: BoxShape.circle,
                      ),
                      child: Image(
                        image: AssetImage(
                          AssetConstants.nearleLogin,
                        ),
                        height: 200,
                        width: 200,
                        fit: BoxFit.fill,
                      ),
                    ),
                    SizedBox(
                      height: 25,
                    ),
                    Text(
                      "Nearle 'Your super hero'",
                      style: TextStyle(
                          color: Colors.black,
                          fontSize: 22,
                          fontWeight: FontWeight.bold),
                    ),
                    SizedBox(
                      height: 40,
                    ),
                    Container(
                      child: Text(
                        'To enjoy a never before experience, please',
                        style: TextStyle(color: Colors.grey[500], fontSize: 17),
                      ),
                    ),
                    SizedBox(
                      height: 5,
                    ),
                    Container(
                      child: Text(
                        'allow us the following permission.',
                        style: TextStyle(color: Colors.grey[500], fontSize: 17),
                      ),
                    ),
                    SizedBox(
                      height: 40,
                    ),
                    Row(
                      mainAxisAlignment: MainAxisAlignment.start,
                      crossAxisAlignment: CrossAxisAlignment.start,
                      children: [
                        Icon(
                          Icons.location_on,
                          size: 30,
                        ),
                        Container(
                          width: Get.width*0.80,
                          child: Text(
                            'Location helps to join your neighbourhood and explore customers around you.',
                            style: TextStyle(
                                color: Colors.grey[500],
                                fontSize: 15,
                                overflow: TextOverflow.ellipsis),
                            maxLines: 2,
                            textAlign: TextAlign.center,
                          ),
                        ),
                      ],
                    ),
                  ],
                ),
              ],
            ),
          ),

        ],
      ),
      bottomNavigationBar: Container(
        height: Get.height*0.10,
        decoration: BoxDecoration(color: Colors.white),
        child: Padding(
          padding: const EdgeInsets.only(bottom:10,top: 10),
          child: GetBuilder<LocationPermissionController>(
              builder: (controller) {
                return Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  crossAxisAlignment: CrossAxisAlignment.end,
                  children: [
                    Center(
                        child:  RoundedButton(
                          onPressed: () {
                            controller.doSomething();
                          },
                          color:ColorConstants.primaryColor,
                          title: 'Allow permissions',
                          controller: controller.btnController,
                          textStyle: const TextStyle(
                              fontSize: 18,
                              fontFamily: "Lato",
                              color: Colors.white,
                              fontWeight: FontWeight.bold),
                          height: Get.height*0.06,
                          width: Get.width*0.8,
                        )
                    ),
                  ],
                );
              }
          ),
        ),
      ),
    );
  }
}

